Bug 444933 - Review Request: cairo-dock - Light eye-candy fully themable animated dock
Review Request: cairo-dock - Light eye-candy fully themable animated dock
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
: 446664 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-01 22:20 EDT by Mamoru TASAKA
Modified: 2008-10-06 05:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-16 20:08:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2008-05-01 22:20:58 EDT
Spec URL: http://mtasaka.fedorapeople.org/Review_request/cairo-dock/cairo-dock.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/cairo-dock/cairo-dock-1.5.5.3-1.date20080501.tmp.src.rpm
Description: 
An light eye-candy fully themable animated dock for any 
Linux desktop. It has a family-likeness with OSX dock,
but with more options.

Koji scratch build:
for dist-f9-updates-candidate:
http://koji.fedoraproject.org/koji/taskinfo?taskID=592195
for dist-f8-updates-candidate:
http://koji.fedoraproject.org/koji/taskinfo?taskID=592194

rpmlint:
----------------------------------------------------------
cairo-dock-devel.i386: W: no-documentation
cairo-dock-plug-ins.i386: W: no-documentation
cairo-dock-plug-ins.i386: E: script-without-shebang /usr/lib/cairo-dock/plug-in/netspeed/netspeed
cairo-dock-plug-ins-xfce.i386: W: no-documentation
cairo-dock-themes.i386: W: no-documentation
----------------------------------------------------------
IMO all of these are ignorable.
Comment 2 Mamoru TASAKA 2008-05-10 23:52:52 EDT
http://mtasaka.fedorapeople.org/Review_request/cairo-dock/cairo-dock-1.5.5.4-2.date20080506.tmp.src.rpm
http://mtasaka.fedorapeople.org/Review_request/cairo-dock/cairo-dock.spec

* Sun May 11 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> -
1.5.5.4-2.date20080506
- Remove mail plug-in for now as there is license conflict
- Enable weblet plug-in

koji scratch build:
For dist-f9-updates-candidate:
http://koji.fedoraproject.org/koji/taskinfo?taskID=603625
For dist-f8-updates-candidate:
http://koji.fedoraproject.org/koji/taskinfo?taskID=603626
Comment 3 Mamoru TASAKA 2008-05-15 09:54:12 EDT
For dist-f10:
http://koji.fedoraproject.org/koji/taskinfo?taskID=610634
Comment 4 Mamoru TASAKA 2008-05-15 12:23:27 EDT
*** Bug 446664 has been marked as a duplicate of this bug. ***
Comment 5 Hans de Goede 2008-05-15 16:33:28 EDT
Full review done, summary: Approved!

Long story, my thats one not so pretty package. I don't say I could do it better
though, its just that what upstream delivers is a big mess.

I strongly urge you to contact upstream and to ask them to clean things up, fix
the issues which make you now require todo an autoreconf, maybe release atleast
the -themes package in a seperate tarbal, stop the ugly version and date in
tarbal name stuff, etc.


Comment 6 Mamoru TASAKA 2008-05-15 20:45:16 EDT
Yes, I will contact with upstream because actually there are lots
of things which must be cleaned up (including license issue of
mail/ plugin...)

Thanks for your review!
New Package CVS Request
=======================
Package Name:      cairo-dock
Short Description: Light eye-candy fully themable animated dock
Owners:            mtasaka
Branches:          F-9 F-8
InitialCC: 
Cvsextras Commits: yes

Comment 7 Kevin Fenzi 2008-05-16 11:36:02 EDT
cvs done.
Comment 8 Mamoru TASAKA 2008-05-16 20:08:36 EDT
Finally it built on devel, F-9, F-8, closing.

Thank you for the review and cvs procedure!
Comment 9 leigh scott 2008-05-17 07:24:11 EDT
You have got the version wrong

 	cairo-dock-1.5.5.4-5.svn990_trunk.fc10


It should be 1.5.5.6  ( the full title is 1.5.5.6-alpha1 )
Comment 10 Mamoru TASAKA 2008-05-17 07:45:06 EDT
I don't see 1.5.5.6 is released.
Comment 11 leigh scott 2008-05-17 10:24:12 EDT
(In reply to comment #10)
> I don't see 1.5.5.6 is released.


Ok we both got the version wrong ( it's a fast moving target )
If you are build svn builds you are building the development version i.e 1.5.6-beta2

Try looking in about in the cairo-dock meneu as this will give it's true version 

or from commandline

[root@localhost leigh]# cairo-dock --version
1.5.6-beta2
[root@localhost leigh]# 








Comment 12 Mamoru TASAKA 2008-05-17 12:05:48 EDT
(In reply to comment #11)
> Ok we both got the version wrong ( it's a fast moving target )
> If you are build svn builds you are building the development version i.e
1.5.6-beta2

I already know from which file this version comes 
(actually cairo-dock/configure.ac).
However
- Upstream seems to be saying that all 1.5.5.x version is pre-releases
  for 1.5.6, i.e. development version toward 1.5.6
- In configure.ac, actually version was set as
  1.5.5.3 -> 1.5.6-XXX >-> 1.5.5.4 -> 1.5.6-beta2. So it is highly possible
  that upstream releases 1.5.5.5 or so.
- Also "1.5.6 beta2" is ambiguous as several svn trunk  seems to have
  been tagged as beta2

So using 1.5.6 as version is very dangerous as it may cause
to introduce epoch. Also for versioning please refer to
http://fedoraproject.org/wiki/Packaging/NamingGuidelines
Comment 13 leigh scott 2008-05-17 12:28:28 EDT
So what are you going to name it then ?
If it was me , I would probably name it

cairo-dock-1.5.5.9.svn990.fc10




Comment 14 Mamoru TASAKA 2008-05-17 12:32:22 EDT
(In reply to comment #13)
> So what are you going to name it then ?
> If it was me , I would probably name it
> 
> cairo-dock-1.5.5.9.svn990.fc10
This will cause a problem when upstream releases 1.5.5.5
 

Comment 15 Mamoru TASAKA 2008-10-03 14:30:21 EDT
Package Change Request
======================
Package Name: cairo-dock
New Branches: F-10
Owners: mtasaka

Early branching request.
Comment 16 Huzaifa S. Sidhpurwala 2008-10-06 05:57:42 EDT
cvs done

Note You need to log in before you can comment on or make changes to this bug.